Munin::Node::SpoolReader(3)

NAME
Munin::Node::SpoolReader - Reading side of the spool functionality

SYNOPSIS
  my $spool = Munin::Node::SpoolReader->new(spooldir => $spooldir);
  print $spool->fetch(1234567890);

METHODS

new($args)
    Constructor. 'spooldir' should be the directory Munin::Node::SpoolWriter is writing to.

fetch($timestamp)
    Fetches all the plugin results that have been recorded since $timestamp, in a form suitable to be sent straight over the wire.

list()
    Lists all the plugin that have been recorded in the spool, in a form suitable to be sent straight over the wire.